# LDAP Roadmap

## Basic Functionality
1. Install OpenLDAP on Alpine in a Docker container
1. Figure out how to add/modify/delete schemas
1. Figure out how to populate, reset, backup and restore the LDAP server
    * Where should this be documented/scripted?
1. Figure out how to configure schemas based on usage
    1. Start with home LDAP server for user management, DNS and DHCP
    1. Then it should be easy to configure the DNS/webservers
    1. Then figure out the structure for the mail server

## Management
1. Install PHPLDAPAdmin on Alpine in a Docker container
1. Figure out how to test the LDAP server

## Advanced Functionality
1. How do you define master/slave configuration in an LDAP system
1. Come up with useful partitioning of LDAP servers and how to connect them together
1. How does Kerberos fit into everything?

## Servies
* Linux users
* Mail users
* DNS system
* DHCP system
* Apache vhost
* FreeRADIUS clients, users
* Quota
* SSH keys
